> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List returns all verified domains configured for the tenant.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/settings/domains
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/domains:
    get:
      tags:
        - Org Domain
      summary: List
      description: List returns all verified domains configured for the tenant.
      operationId: c1.api.settings.v1.OrgDomainService.List
      parameters:
        - in: query
          name: page_size
          schema:
            description: The maximum number of results to return per page.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: A pagination token returned from a previous List call.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.settings.v1.ListOrgDomainsResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.OrgDomain.List(ctx, operations.C1APISettingsV1OrgDomainServiceListRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ListOrgDomainsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.orgDomain.list();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.ListOrgDomainsResponse:
      description: The ListOrgDomainsResponse message.
      properties:
        list:
          description: The list of verified domains.
          items:
            $ref: '#/components/schemas/c1.api.settings.v1.OrgDomain'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            A token to retrieve the next page of results, or empty if there are
            no more results.
          type:
            - string
            - 'null'
      title: List Org Domains Response
      type: object
      x-speakeasy-name-override: ListOrgDomainsResponse
    c1.api.settings.v1.OrgDomain:
      description: OrgDomain represents a verified email domain associated with the tenant.
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        domain:
          description: The verified domain name (e.g., "example.com").
          type:
            - string
            - 'null'
        id:
          description: The unique identifier of the domain record.
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Org Domain
      type: object
      x-speakeasy-name-override: OrgDomain
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````